# path::get-path-root

Gets the root directory of the specified path.

### Usage

`string path::get-path-root(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The path from which to obtain root directory information.

### Return Value

A String containing the root directory of path, such as "C:\", or an empty String if path does not contain root directory information.

### Exceptions

The function will fail in any of the following circumstances:

- path contains invalid characters, or is empty.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)